Subject: draft-ietf-conneg-media-features-02.txt

From: Graham Klyne <[email-masked]>
Date: Mon, 05 Oct 1998 17:37:40 +0100

Since I've been commenting on these issues elsewhere, I thought I'd better
review the current document...

Apart from some (very) minor editorial issues, the points (I mention here
have been raised elsewhere.

#g

>2. Media Feature Registrations
>
>This section defines several media features, using the form
>specified in [REG].
>
>2.1 Image Size
>
>   - Media Feature tag name(s): 
>
>     pix-x
>     pix-y

As discussed elsewhere, I have doubts about size measured in pixels.

[...]
>   - Values appropriate for use with this feature tag:
>
>     Signed Integer

Er... why *Signed*?

>2.2 Resolution
>     
>   - Media Feature tag name: 
>   
>     dpi

As discussed elsewhere, I would like to see differential resolution
addressed in some way.
     
[...]
>   - Summary of the media features indicated by this feature tag:
>
>     This feature indicates the resolution that the recipient can
>     display or print without loss, measured in pixels per inch.
>     Typically resolution capability is represented as dots-per-inch
>     rather than in SI units [SI]. Values for dpi may be expressed as
>     a rational to accomodate resolution of SI-based devices; for
>     example dpi=19558/100 can be used to represent a resolution of 77
>     dots per centimeter.
>  
>   - Values appropriate for use with this feature tag:
>
>     Rational

As discussed elsewhere, I think we need to indicate somewhere (not
necessarily this document) an appropriate syntax for rational/real numbers.

[...]
>2.3 Registration of 'media'
>   - Media Feature tag name(s):

Minor formatting inconsistency: missing blank line.

[...]
>   - Summary of the media features indicated by this feature tag:
>     
>     This feature indicates the recipients device media, indicated
.................................^^^^^^^^^^
I think you mean recipient's or recipients'.

[...]
>2.4 Paper Size
[...]
>   - Examples of typical use:
>     
>     Choosing between a4 and letter size renditions of the
>     same printable document.

Capitialize 'A4'.

>2.5 Color and greyscale     
>   - Media Feature tag name(s):

Minor formatting inconsistency: missing blank line.

>     
>     color
>     grey
>
>   - ASN.1 identifier associated with this feature tag:
>     
>     ***New assignments by IANA***
>     
>   - Summary of the media features indicated by this feature tag:
>
>     The color capabilities of the recipient are indicated with
>     feature value describing the number of color (or greyscale)
>     channel bits available.

I would prefer number of levels rather than number of channel bits.
     
>   - Values appropriate for use with this feature tag:
>     
>     Integer

Qualify as Unsigned?
     
>     Values are typically (but not limited to) 2, 8, or 24.  For
>     example: grey=8 indicates a display capable of representing an
>     image in 256 levels of a single color, while color=8 indicates a
>     display capable of representing an image with a palette of 256
>     colors.
>     
>   - The feature tag is intended primarily for use in the following
>     applications, protocols, services, or negotiation mechanisms:
>     
>     Web applications may choose between color, greyscale, or binary
>     representations. Fax applications may choose between color
>     and non-color renditions.

By 'binary', I assume you mean bi-level (to borrow the fax terminology)?

Add a note to indicate how bi-level is indicated?

>3. Examples of use of features
[...]
>   dpi<=72
>      indicates a 72 dpi display  

In this case: dpi=72, I think.
    
>   color<=24
>      indicates the display supports 24-bit (8-bit/channel) color.   

Where is 8-bit/channel specified?  I think that is an implementation issue
and should not necessarily be inferred.

------------
Graham Klyne
([email-masked])